<?php

namespace App\Mail;

use App\Models\Anggota;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class AdminNotifikasiAnggotaBaru extends Mailable
{
    use Queueable, SerializesModels;

    public $anggota;

    public function __construct(Anggota $anggota)
    {
        $this->anggota = $anggota;
    }

    public function build()
    {
        return $this->subject('Pendaftaran Anggota Baru - Menunggu Persetujuan')
                    ->markdown('emails.admin.anggota_baru');
    }
}

